### Function

# GLib Rand new_with_seed

#### Declaration [src]

    GRand*
    g_rand_new_with_seed (
      guint32 seed
    )

#### Description [src]

Creates a new random number generator initialized with `seed`.

#### Parameters

`seed`

  Type: `guint32`

  A value to initialize the random number generator.

#### Return value

Type: `GRand`

The new `GRand`.

The caller of the function takes ownership of the data, and is responsible for freeing it.